Page MenuHomePhabricator

Fix/decom multiple-subdomain wikis in wikimedia.org
Closed, ResolvedPublic

Description

In the wikimedia.org zone, we have these cases (aside from other generic categories to deal with elsewhere):

www.commons      600 IN DYNA     geoip!text-addrs
www.meta         600 IN DYNA     geoip!text-addrs
www.nl           600 IN DYNA     geoip!text-addrs
noboard.chapters 600 IN DYNA     geoip!text-addrs
pa.us            600 IN DYNA     geoip!text-addrs

The noboard.chapters and pa.us entries seem to already have equivalent noboard-chapters and pa-us entries in DNS and wgCanonicalServers as well. The www entries are non-canonical and can probably just be removed.

Details

Related Gerrit Patches:

Event Timeline

BBlack created this task.Jun 17 2015, 3:24 PM
BBlack raised the priority of this task from to Needs Triage.
BBlack updated the task description. (Show Details)
BBlack added projects: acl*sre-team, Traffic.
BBlack added a subscriber: BBlack.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2015, 3:24 PM
faidon added a subscriber: faidon.Jul 6 2015, 5:47 PM
faidon@oxygen:~$ egrep 'www\.(commons|meta|nl)\.wikimedia.org' per-domain-count 
    126 "www.commons.wikimedia.org"
     10 "www.meta.wikimedia.org"
      1 "www.nl.wikimedia.org"
faidon@oxygen:~$ egrep 'noboard.chapters|pa.us' per-domain-count 
     25 "pa-us.wikimedia.org"
      2 "pa.us.wikimedia.org"
      2 "noboard-chapters.wikimedia.org"
      1 "noboard.chapters.wikimedia.org"
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 6 2015, 5:47 PM
BBlack triaged this task as Normal priority.Jul 13 2015, 5:59 PM
BBlack set Security to None.
BBlack moved this task from Triage to Up Next on the Traffic board.Jul 13 2015, 7:04 PM

www.meta and www.commons I think we can just remove unilaterally at this point - they've been effectively broken for HTTPS for a while now, they were never canonical, and the traffic samples were always low. I don't think there's any real issue with pulling pa.us either, as the chapter and wiki appear dormant/closed/dead: ( https://meta.wikimedia.org/wiki/Wikimedia_Pennsylvania and https://pa-us.wikimedia.org/wiki/Main_Page ).

@Jalexander or @Philippe-WMF - Any thoughts on the other two? The hits on the bad names here are very very low rate, but do we need to give them some notice?

  • www.nl.wikimedia.org (which should use nl.wikimedia.org)
  • noboard.chapters.wikimedia.org (which should use noboard-chapters.wikimedia.org)

Change 237189 had a related patch set uploaded (by BBlack):
remove www.commons, www.meta, pa.us

https://gerrit.wikimedia.org/r/237189

Change 237190 had a related patch set uploaded (by BBlack):
remove www.nl and noboard.chapters

https://gerrit.wikimedia.org/r/237190

Change 237191 had a related patch set uploaded (by BBlack):
Remove redirects for www.(meta|commons), pa.us

https://gerrit.wikimedia.org/r/237191

Change 237192 had a related patch set uploaded (by BBlack):
Remove redirects for www.nl, noboard.chapters

https://gerrit.wikimedia.org/r/237192

Change 237189 merged by BBlack:
remove www.commons, www.meta, pa.us

https://gerrit.wikimedia.org/r/237189

Change 237191 merged by BBlack:
Remove redirects for www.(meta|commons), pa.us

https://gerrit.wikimedia.org/r/237191

www.meta and www.commons I think we can just remove unilaterally at this point - they've been effectively broken for HTTPS for a while now, they were never canonical, and the traffic samples were always low. I don't think there's any real issue with pulling pa.us either, as the chapter and wiki appear dormant/closed/dead: ( https://meta.wikimedia.org/wiki/Wikimedia_Pennsylvania and https://pa-us.wikimedia.org/wiki/Main_Page ).
@Jalexander or @Philippe-WMF - Any thoughts on the other two? The hits on the bad names here are very very low rate, but do we need to give them some notice?

  • www.nl.wikimedia.org (which should use nl.wikimedia.org)
  • noboard.chapters.wikimedia.org (which should use noboard-chapters.wikimedia.org)

I think you can go ahead, I will notify them however.

Change 237190 merged by BBlack:
remove www.nl and noboard.chapters

https://gerrit.wikimedia.org/r/237190

Change 237192 merged by BBlack:
Remove redirects for www.nl, noboard.chapters

https://gerrit.wikimedia.org/r/237192

BBlack closed this task as Resolved.Sep 15 2015, 1:03 AM
BBlack claimed this task.
BBlack moved this task from Up Next to Done on the Traffic board.Sep 22 2015, 1:57 PM

Change 284106 had a related patch set uploaded (by BBlack):
Common VCL: remove wikimedia.org subdomain HTTPS redirect exception

https://gerrit.wikimedia.org/r/284106

Change 284106 merged by BBlack:
Common VCL: remove wikimedia.org subdomain HTTPS redirect exception

https://gerrit.wikimedia.org/r/284106